# Uses of Interface
javax.swing.table.TableCellEditor

Packages that use TableCellEditor
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of TableCellEditor in javax.swing

Classes in javax.swing that implement TableCellEditor
Modifier and Type
Class
Description
`class`
`DefaultCellEditor`
The default editor for table and tree cells.
Fields in javax.swing declared as TableCellEditor
Modifier and Type
Field
Description
`protected TableCellEditor`
JTable.`cellEditor`
The active cell editor object, that overwrites the screen real estate occupied by the current cell and allows the user to change its contents.
Methods in javax.swing that return TableCellEditor
Modifier and Type
Method
Description
`TableCellEditor`
JTable.`getCellEditor()`
Returns the active cell editor, which is `null` if the table is not currently editing.
`TableCellEditor`
JTable.`getCellEditor​(int row, int column)`
Returns an appropriate editor for the cell specified by `row` and `column`.
`TableCellEditor`
JTable.`getDefaultEditor​(Class<?> columnClass)`
Returns the editor to be used when no editor has been set in a `TableColumn`.
Methods in javax.swing with parameters of type TableCellEditor
Modifier and Type
Method
Description
`Component`
JTable.`prepareEditor​(TableCellEditor editor, int row, int column)`
Prepares the editor by querying the data model for the value and selection state of the cell at `row`, `column`.
`void`
JTable.`setCellEditor​(TableCellEditor anEditor)`
Sets the active cell editor.
`void`
JTable.`setDefaultEditor​(Class<?> columnClass, TableCellEditor editor)`
Sets a default cell editor to be used if no editor has been set in a `TableColumn`.

## Uses of TableCellEditor in javax.swing.table

Fields in javax.swing.table declared as TableCellEditor
Modifier and Type
Field
Description
`protected TableCellEditor`
TableColumn.`cellEditor`
The editor used to edit the data cells of the column.
Methods in javax.swing.table that return TableCellEditor
Modifier and Type
Method
Description
`TableCellEditor`
TableColumn.`getCellEditor()`
Returns the `TableCellEditor` used by the `JTable` to edit values for this column.
Methods in javax.swing.table with parameters of type TableCellEditor
Modifier and Type
Method
Description
`void`
TableColumn.`setCellEditor​(TableCellEditor cellEditor)`
Sets the editor to used by when a cell in this column is edited.
Constructors in javax.swing.table with parameters of type TableCellEditor
Modifier
Constructor
Description
``
`TableColumn​(int modelIndex, int width, TableCellRenderer cellRenderer, TableCellEditor cellEditor)`
Creates and initializes an instance of `TableColumn` with the specified model index, width, cell renderer, and cell editor; all `TableColumn` constructors delegate to this one.